Skip to main content
GET
/
products
List all products
curl --request GET \
  --url https://{domain}/api/site/products \
  --header 'Authorization: Bearer <token>'
{
  "totalCount": 1,
  "limit": 25,
  "skip": 0,
  "items": [
    {
      "id": 111,
      "title": "Interior Door",
      "description": "<string>",
      "url": "interior-door",
      "hidden": true,
      "images": [
        "https://path-to-image.jpg",
        "https://path-to-another-image.jpg"
      ],
      "categories": [
        {
          "id": 1,
          "name": "Doors",
          "url": "doors",
          "parentCategory": 0
        }
      ],
      "options": [
        {
          "name": "Material",
          "values": [
            "Wood",
            "Glass"
          ],
          "advanced": true
        }
      ],
      "variants": [
        {
          "options": [
            "Wood",
            "Single"
          ],
          "price": 199,
          "onSale": true,
          "regularPrice": 123,
          "salePrice": 123,
          "quantity": 123,
          "sku": "D-001",
          "weight": 123
        }
      ],
      "subscription": {
        "cycles": 123,
        "period": 123
      },
      "file": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Pass your API key as: Authorization: Bearer <API KEY>.

Query Parameters

category_id
integer

List only products in the specified category (includes all products in the subcategories, if any).

Example:

12

title
string

List only products containing the specified string in their title.

Example:

"shirt"

limit
integer
default:30

A limit on the number of objects to be returned. Between 1 and 50.

Required range: 1 <= x <= 50
Example:

25

skip
integer
default:0

The number of items to skip (offset). Defaults to 0, i.e. the first page.

Required range: x >= 0
Example:

25

Response

200 - application/json

A paginated list of products.

Common pagination envelope shared by list endpoints.

totalCount
integer
required

The total size of the result set without any pagination.

Example:

1

limit
integer
required

The currently used limit.

Example:

25

skip
integer
required

The current offset in the list.

Example:

0

items
object[]
Last modified on June 20, 2026